<script>
import axios from "axios";

let username = window.sessionStorage.getItem("username"); //用户名
let password = window.sessionStorage.getItem("password"); //密码
let minviewheight = window.sessionStorage.getItem("minviewheight"); //最低视角高度
let smartearthtoken = window.sessionStorage.getItem("smartearthtoken"); //token
let trafficserve = window.sessionStorage.getItem("trafficserve"); //实时路况服务
let poiserve = window.sessionStorage.getItem("poiserve"); //poi查询服务
let space_query = window.sessionStorage.getItem("space_query"); //空间查询服务

export default {
  username,
  password,
  minviewheight,
  smartearthtoken,
  trafficserve,
  poiserve,
  space_query,
  async getServeData() {
    await axios.get("./static/config.json").then(
      (response) => {
        let data = response.data;
        this.username = data && data.username;
        window.sessionStorage.setItem("username", this.username);

        this.password = data && data.password;
        window.sessionStorage.setItem("password", this.password);

        this.minviewheight = data && data.min_view_height;
        window.sessionStorage.setItem("minviewheight", this.minviewheight);

        this.smartearthtoken = data && data.token;
        window.sessionStorage.setItem("smartearthtoken", this.smartearthtoken);

        this.trafficserve = data && data.traffic;
        window.sessionStorage.setItem("trafficserve", this.trafficserve);

        this.poiserve = data && data.poi_search;
        window.sessionStorage.setItem("poiserve", this.poiserve);

        this.space_query = data && data.space_query;
        window.sessionStorage.setItem("space_query", this.space_query);

        this.sxtGeojsonUrl = data && data.sxtGeojsonUrl;
        window.sessionStorage.setItem("sxtGeojsonUrl", this.sxtGeojsonUrl);
        
      },
      (response) => {
        console.log("error");
      }
    );
  },
};
</script>